Page MenuHomeVyOS Platform

Error when router reboot
Closed, ResolvedPublicBUG

Description

[ 2306.970372] vyos-router[7797]: Stopping VyOS router:.
[ 2306.990435] vyos-router[7797]: Un-mounting VyOS Config...umount: /opt/vyatta/config: target is busy
[  OK  ] Stopped VyOS Router.
[ 2307.011433] vyos-router[7797]: (In some cases useful info about processes that
[ 2307.024889] vyos-router[7797]: use the device is found by lsof(8) or fuser(1).)
[ 2307.036893] vyos-router[7797]: failed.
[ 2307.042353] vyos-router[7797]: /usr/libexec/vyos/init/vyos-router: line 247: /usr/lib/frr/frr: No such file or directory

I think we need to change /usr/lib/frr/frr to /usr/lib/frr/frrinit.sh stop

Details

Difficulty level
Easy (less than an hour)
Version
1.2.4
Why the issue appeared?
Will be filled on close
Is it a breaking change?
Unspecified (possibly destroys the router)

Event Timeline

Dmitry created this task.Jan 30 2020, 9:20 PM
Dmitry reopened this task as Backport candidate.Jan 30 2020, 9:37 PM
Dmitry edited projects, added VyOS 1.2 Crux (VyOS 1.2.5); removed VyOS 1.2 Crux.

Fixed for current branch but not for crux. Need cherry-pick this.

pasik added a subscriber: pasik.Feb 1 2020, 2:04 PM
syncer changed the task status from Backport candidate to Backport pending.Mar 15 2020, 9:50 PM
syncer assigned this task to jestabro.
syncer triaged this task as Normal priority.
syncer moved this task from Need Triage to Backlog on the VyOS 1.3 Equuleus board.
syncer closed this task as Resolved.Mar 15 2020, 10:05 PM
syncer moved this task from Backlog to Finished on the VyOS 1.3 Equuleus board.